Table of Contents

Class: plugin_manager | ../bkchem/plugin_support.py
--- | ---
Base Classes |
--- | ---
object
Methods |
--- | ---
__init__ get_available_plugins get_description get_menu get_names get_plugin_handler read_plugin_file run_plugin
| __init__
    __init__ ( self )
| get_available_plugins
    get_available_plugins ( self )
| get_description
    get_description ( self,  name )
| get_menu
    get_menu ( self,  name )
| get_names
    get_names ( self,  type="" )
| get_plugin_handler
    get_plugin_handler ( self,  name )
| read_plugin_file
    read_plugin_file (
            self,
            dir,
            name,
            )
| run_plugin
    run_plugin ( self,  name )
Exceptions |
--- | ---
ValueError, "Wrong type of plugin %s" % name

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1